#ifndef _KEYBOARD_H_
#define _KEYBOARD_H_

#include "keycodes.h"    // table (scan -> keystroke)

void init_keyboard(void);

extern unsigned char get_wait_keystroke(void);    // busy waiting for keystroke

extern unsigned char keystroke_present(void);     // true if a keystroke could be fetched

unsigned char query_key_state(unsigned char nr);

extern cr_fifo_t key_fifo;

#endif
