//===============================================================================
//
// OpenDCC - BiDiB for MobaLiSt
// 
// Copyright (c) 2012 Wolfgang Kufer
//
// This source file is subject of the GNU general public license 2,
// that is available at the world-wide-web at
// http://www.gnu.org/licenses/gpl.txt
//
//-------------------------------------------------------------------------------
//
// file:      pwm.h
// author:    Wolfgang Kufer
//
// contact:   kufer@gmx.de
//
// webpage:   http://www.opendcc.de
//
// history:   2012-02-16 V0.01 kw start with hardware definition
//            
// 
//===============================================================================
//
// purpose:   driver for TLC5941
//
//
//===============================================================================


#ifndef __PWM_H__
#define __PWM_H__

#include "datatypes.h"
#include "config.h"


#define PWMSTEPS  128

#define NUM_OF_LIGHTS   24




// extern uint8_t grayscales[NUM_OF_LIGHTS];



void pwm_init(void);

void pwm_update(void);

#endif  // __PWM_H__
